"""
db4e/Constants/MongoFields.py

    Database 4 Everything
    Author: Nadim-Daniel Ghaznavi 
    Copyright (c) 2024-2025 NadimGhaznavi <https://github.com/NadimGhaznavi/db4e>
    License: GPL 3.0

This module contains templates for the Mongo field names used in the Mongo
records (documents).
"""

ADD_DEPLOYMENT_FIELD = "add_deployment"
ANY_IP_FIELD = "any_ip"
API_DIR_FIELD = "api_dir"
APP_VERSION_FIELD = "app_version"
BACKUP_DIR_FIELD = "backup_dir"
BACKUP_SCRIPT_FIELD = "backup_script"
BIN_DIR_FIELD = "bin_dir"
BLOCKCHAIN_DIR_FIELD = "blockchain_dir"
CHAIN_FIELD = "chain"
COLLECTION_FIELD = "collection"
COLORTERM_ENVIRON_FIELD = "COLORTERM"
COMPONENT_FIELD = "component"
CONF_DIR_FIELD = "conf_dir"
CONFIG_FIELD = "config"
DATA_DIR_FIELD = "data_dir"
DB_FIELD = "db"
DB_NAME_FIELD = "db4e"
DB4E_DIR_FIELD = "db4e_dir"
DB4E_FIELD = "db4e"
DB4E_RECORD_FIELD = "DB4E_RECORD"
DB4E_REFRESH_FIELD = "db4e_refresh"
DELETE_DEPLOYMENT_FIELD = "del_deployment"
DEPLOYMENT_FIELD = "deployment"
DEPLOYMENT_COL_FIELD = "depl_collection"
DEPLOYMENT_MGR_FIELD = "DeploymentMgr"
DEPLOYMENT_TYPE_FIELD = "depl_type"
DESC_FIELD = "desc"
DEV_DIR_FIELD = "dev_dir"
DOC_TYPE_FIELD = "doc_type"
DONATION_WALLET_FIELD = "donation_wallet"
ENABLE_FIELD = "enable"
ERROR_FIELD = "error"
FORM_DATA_FIELD = "form_data"
GET_NEW_REC_FIELD = "get_new_rec"
GET_NEW_REMOTE_REC_FIELD = "get_new_remote_rec"
GOOD_FIELD = "good"
GROUP_FIELD = "group"
HEALTH_MSG_FIELD = "health_msg"
ID_FIELD = "_id"
IN_PEERS_FIELD = "in_peers"
INITIAL_SETUP_FIELD = "initial_setup"
INSTALL_DIR_FIELD = "install_dir"
INSTALL_MGR_FIELD = "InstallMgr"
INSTANCE_FIELD = "instance"
IP_ADDR_FIELD = "ip_addr"
LOCAL_FIELD = "local"
LOG_COLLECTION_FIELD = "log_collection"
LOG_DIR_FIELD = "log_dir"
LOG_FILE_FIELD = "log_file"
LOG_LEVEL_FIELD = "log_level"
LOG_NAME_FIELD = "log_name"
LOG_RETENTION_DAYS_FIELD = "log_retention_days"
MAX_BACKUPS_FIELD = "max_backups"
MAX_LOG_FILES_FIELD = "max_log_files"
MAX_LOG_SIZE_FIELD = "max_log_size"
METRICS_COLLECTION_FIELD = "metrics_collection"
MINING_COL_FIELD = "collection"
MONEROD_DIR_FIELD = "monerod"
MONEROD_FIELD = "monerod"
MONEROD_ID_FIELD = "monerod_id"
MONEROD_LOG_FIELD = "monerod_log"
MONEROD_REMOTE_FIELD = "monerod_remote"
NAME_FIELD = "name"
NUM_THREADS_FIELD = "num_threads"
OP_FIELD = "op"
ORIG_INSTANCE_FIELD = "orig_instance"
OUT_PEERS_FIELD = "out_peers"
P2P_BIND_PORT_FIELD = "p2p_bind_port"
P2P_PORT_FIELD = "p2p_port"
P2POOL_FIELD = "p2pool"
P2POOL_ID_FIELD = "p2pool_id"
P2POOL_INSTANCE = "p2pool_instance"
P2POOL_REMOTE_FIELD = "p2pool_remote"
PERMISSIONS_FIELD = "permissions"
PORT_FIELD = "port"
PRIORITY_NODE_1_FIELD = "priority_node_1"
PRIORITY_NODE_2_FIELD = "priority_node_2"
PRIORITY_PORT_1_FIELD = "priority_port_1"
PRIORITY_PORT_2_FIELD = "priority_port_2"
PROCESS_FIELD = "process"
PYPI_REPO_FIELD = "pypi_repo"
RADIO_MAP = "radio_map"
REMOTE_FIELD = "remote"
RESET_DATA_FIELD = "reset_data"
RETRY_TIMEOUT_FIELD = "retry_timeout"
RUN_DIR_FIELD = "run_dir"
RUN_UI_FIELD = "run_ui"
RPC_BIND_PORT_FIELD = "rpc_bind_port"
SHOW_TIME_STATS_FIELD = "show_time_stats"
SERVER_FIELD = "server"
SERVICE_FILE_FIELD = "service_file"
SERVICE_INSTALL_SCRIPT_FIELD = "service_install_script"
SERVICE_LOG_FILE_FIELD = "service_log_file"
SERVICE_UNINSTALL_SCRIPT_FIELD = "service_uninstaller"
SET_DATA_FIELD = "set_data"
SETUP_SCRIPT_FIELD = "setup_script"
SOCKET_FILE_FIELD = "socket_file"
SRC_DIR_FIELD = "src_dir"
START_SCRIPT_FIELD = "start_script"
STATUS_FIELD = "status"
STDIN_PIPE_FIELD = "stdin_pipe"
STRATUM_PORT_FIELD = "stratum_port"
SYSTEMD_DIR_FIELD = "systemd_dir"
TEMPLATE_DIR_FIELD = "template_dir"
TERM_ENVIRON_FIELD = "TERM"
TMP_DIR_ENVIRON_FIELD = "DB4E_TMP_DIR"
TO_MODULE_FIELD = "to_module"
TO_METHOD_FIELD = "to_method"
UPDATE_DEPLOYMENT_FIELD = "update_deployment"
UPDATED_FIELD = "updated"
USER_FIELD = "user"
USER_WALLET_FIELD = "user_wallet"
VENDOR_DIR_FIELD = "vendor_dir"
VERSION_FIELD = "version"
WALLET_FIELD = "wallet"
WARN_FIELD = "warn"
XMRIG_FIELD = "xmrig"
ZMQ_PUB_PORT_FIELD = "zmq_pub_port"
ZMQ_RPC_PORT_FIELD = "zmq_rpc_port"

